View Issue Details

IDProjectCategoryView StatusLast Update
0028684Open CASCADEOCCT:Modeling Algorithmspublic2021-09-04 16:46
ReporternbvAssigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0028684: BRepOffsetAPI_MakeOffset produces wire with another orientation in compare with source wire
DescriptionWires from Steps To Reproduce are oriented correctly.

However, some result wires have orientation different from orientation of source wire.

It seems depends on offset value (positive or negative), but why?
Steps To Reproduce******** SCRIPT # 1 (closed wire):

circle cc 0 0 0 100
mkedge ee cc
wire ww ee

mkoffset r1 ww 1 10 i
mkoffset r2 ww 1 -10 i

axo
don ww r1_1 r2_1

vori ww

vori r1_1
# Reversed wire ==> WRONG

vori r2_1
# Not reversed wire ==> OK
------------------------------------------------------------------------

******** SCRIPT # 2 (open wire, tests\bugs\modalg_5\bug25298_02):

restore [locate_data_file bug25225_2869_open.brep] a

openoffset r1 a 1 10 i
openoffset r2 a 1 -10 i

axo
don a r1_1 r2_1

vori a

vori r1_1
# Reversed wire ==> WRONG

vori r2_1
# Not reversed wire ==> OK
TagsNo tags attached.
Test case numberbugs/modalg_7/bug28684_1,bug28684_2

Attached Files

  • Closed wire.PNG (19,396 bytes)
  • open wire.PNG (15,130 bytes)

Relationships

related to 0028687 closedsmoskvin Offset for open wire is built with incorrect direction 

Activities

nbv

2017-04-25 15:23

developer  

Closed wire.PNG (19,396 bytes)

nbv

2017-04-25 15:25

developer  

open wire.PNG (15,130 bytes)

git

2021-08-24 22:47

administrator   ~0103423

Branch CR28684 has been created by andrey.kaftasev_159541.

SHA-1: 24f50853a60635a20a3c9859821da91173b66f69


Detailed log of new commits:

Author: akaftasev
Date: Tue Aug 24 22:47:18 2021 +0300

    0028684: BRepOffsetAPI_MakeOffset produces wire with another orientation in compare with source wire
    
    Added flag to reverse resulting shape, if it was reverse in BuildDomains() to bringing to the same direction as the original shape

akaftasev

2021-08-27 10:42

developer   ~0103452

Branch for review:
OCCT - CR28684

Results of testing:
http://jenkins-test-occt.nnov.opencascade.com/view/CR28684-master-akaftasev/view/COMPARE/

git

2021-08-27 15:10

administrator   ~0103453

Branch CR28684 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 3b5e6c6925d4bbd2086f17612d1e410d05a3d249

jgv

2021-08-27 20:53

developer   ~0103463

Reviewed.

Branches for integration:
OCCT – CR28684
Products – NOT

smoskvin

2021-09-04 14:22

administrator   ~0103743

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-04 14:59

administrator   ~0103780

Branch CR28684 has been deleted by mnt.

SHA-1: 3b5e6c6925d4bbd2086f17612d1e410d05a3d249

Related Changesets

occt: master 55b5d19b

2021-08-24 19:47:18

akaftasev


Committer: smoskvin Details Diff
0028684: BRepOffsetAPI_MakeOffset produces wire with another orientation in compare with source wire

Added flag to reverse resulting shape, if it was reverse in BuildDomains() to bringing to the same direction as the original shape
Affected Issues
0028684
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff File
mod - tests/bugs/modalg_5/bug25298_02 Diff File
mod - tests/bugs/modalg_5/bug25334_1 Diff File
mod - tests/bugs/modalg_5/bug25334_10 Diff File
mod - tests/bugs/modalg_5/bug25334_11 Diff File
mod - tests/bugs/modalg_5/bug25334_12 Diff File
mod - tests/bugs/modalg_5/bug25334_13 Diff File
mod - tests/bugs/modalg_5/bug25334_14 Diff File
mod - tests/bugs/modalg_5/bug25334_15 Diff File
mod - tests/bugs/modalg_5/bug25334_16 Diff File
mod - tests/bugs/modalg_5/bug25334_17 Diff File
mod - tests/bugs/modalg_5/bug25334_18 Diff File
mod - tests/bugs/modalg_5/bug25334_19 Diff File
mod - tests/bugs/modalg_5/bug25334_2 Diff File
mod - tests/bugs/modalg_5/bug25334_20 Diff File
mod - tests/bugs/modalg_5/bug25334_3 Diff File
mod - tests/bugs/modalg_5/bug25334_4 Diff File
mod - tests/bugs/modalg_5/bug25334_5 Diff File
mod - tests/bugs/modalg_5/bug25334_6 Diff File
mod - tests/bugs/modalg_5/bug25334_7 Diff File
mod - tests/bugs/modalg_5/bug25334_8 Diff File
mod - tests/bugs/modalg_5/bug25334_9 Diff File
add - tests/bugs/modalg_7/bug28684_1 Diff File
add - tests/bugs/modalg_7/bug28684_2 Diff File

Issue History

Date Modified Username Field Change
2017-04-25 15:23 nbv New Issue
2017-04-25 15:23 nbv Assigned To => msv
2017-04-25 15:23 nbv File Added: Closed wire.PNG
2017-04-25 15:23 nbv File Added: open wire.PNG
2017-04-25 15:25 nbv File Deleted: open wire.PNG
2017-04-25 15:25 nbv File Added: open wire.PNG
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:01 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:37 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:56 msv Target Version 7.5.0 => 7.6.0
2021-07-05 11:12 szy Assigned To msv => akaftasev
2021-08-18 19:36 akaftasev Relationship added related to 0028677
2021-08-18 19:37 akaftasev Relationship deleted related to 0028677
2021-08-18 19:37 akaftasev Relationship added related to 0028687
2021-08-24 22:47 git Note Added: 0103423
2021-08-26 16:41 szy Status new => assigned
2021-08-27 10:42 akaftasev Note Added: 0103452
2021-08-27 10:42 akaftasev Assigned To akaftasev => jgv
2021-08-27 10:42 akaftasev Status assigned => resolved
2021-08-27 13:37 jgv Assigned To jgv => akaftasev
2021-08-27 13:37 jgv Status resolved => assigned
2021-08-27 15:10 git Note Added: 0103453
2021-08-27 17:44 akaftasev Assigned To akaftasev => jgv
2021-08-27 17:44 akaftasev Status assigned => resolved
2021-08-27 20:53 jgv Note Added: 0103463
2021-08-27 20:53 jgv Assigned To jgv => bugmaster
2021-08-27 20:53 jgv Status resolved => reviewed
2021-09-04 14:22 smoskvin Note Added: 0103743
2021-09-04 14:22 smoskvin Status reviewed => tested
2021-09-04 14:36 smoskvin Changeset attached => occt master 55b5d19b
2021-09-04 14:36 smoskvin Assigned To bugmaster => smoskvin
2021-09-04 14:36 smoskvin Status tested => verified
2021-09-04 14:36 smoskvin Resolution open => fixed
2021-09-04 14:59 git Note Added: 0103780
2021-09-04 16:41 smoskvin Test case number => bugs/modalg_5/bug25298_02,bug25334_1,bug25334_10,bug25334_11,bug25334_12,bug25334_13,bug25334_14,bug25334_15,bug25334_16,bug25334_17,bug25334_18,bug25334_19,bug25334_2,bug25334_20,bug25334_3,bug25334_4,bug25334_5,bug25334_6,bug25334_7,bug25334_8,bug25334_
2021-09-04 16:46 smoskvin Test case number bugs/modalg_5/bug25298_02,bug25334_1,bug25334_10,bug25334_11,bug25334_12,bug25334_13,bug25334_14,bug25334_15,bug25334_16,bug25334_17,bug25334_18,bug25334_19,bug25334_2,bug25334_20,bug25334_3,bug25334_4,bug25334_5,bug25334_6,bug25334_7,bug25334_8,bug25334_ => bugs/modalg_7/bug28684_1,bug28684_2